---
title: <blend-mode>
slug: Web/CSS/blend-mode
tags:
  - Blend modes
  - CSS
  - CSS Data Type
  - Compositing
  - Compositing and Blending
  - Data Type
  - Reference
  - color
---
<div>{{CSSRef}}</div>

<p>The <strong><code>&lt;blend-mode&gt;</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/CSS_Types">data type</a> describes how colors should appear when elements overlap. It is used in the {{cssxref("background-blend-mode")}} and {{cssxref("mix-blend-mode")}} properties.</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>&lt;blend-mode&gt;</code> data type is defined using a keyword value chosen from the list below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code id="normal">normal</code></dt>
 <dd>
 <p>The final color is the top color, regardless of what the bottom color is.<br>
  The effect is like two opaque pieces of paper overlapping.</p>

 <div id="normal_example">
 <div class="hidden">
 <pre class="brush: html notranslate">&lt;div id="div"&gt;&lt;/div&gt;</pre>

 <pre class="brush: css notranslate">#div {
  width: 300px;
  height: 300px;
  background: url('https://mdn.mozillademos.org/files/8543/br.png'),
              url('https://mdn.mozillademos.org/files/8545/tr.png');
  background-blend-mode: normal;
}</pre>
 </div>
 </div>

 <p>{{ EmbedLiveSample('normal_example', "300", "300") }}</p>
 </dd>
 <dt><code id="multiply">multiply</code></dt>
 <dd>
 <p>The final color is the result of multiplying the top and bottom colors.<br>
  A black layer leads to a black final layer, and a white layer leads to no change.<br>
  The effect is like two images printed on transparent film overlapping.</p>

 <div id="multiply_example">
 <div class="hidden">
 <pre class="brush: html notranslate">&lt;div id="div"&gt;&lt;/div&gt;</pre>

 <pre class="brush: css notranslate">#div {
  width: 300px;
  height: 300px;
  background: url('https://mdn.mozillademos.org/files/8543/br.png'),
              url('https://mdn.mozillademos.org/files/8545/tr.png');
  background-blend-mode: multiply;
}</pre>
 </div>
 </div>

 <p>{{ EmbedLiveSample('multiply_example', "300", "300") }}</p>
 </dd>
 <dt><code id="screen">screen</code></dt>
 <dd>
 <p>The final color is the result of inverting the colors, multiplying them, and inverting that value.<br>
  A black layer leads to no change, and a white layer leads to a white final layer.<br>
  The effect is like two images shone onto a projection screen.</p>

 <div id="screen_example">
 <div class="hidden">
 <pre class="brush: html notranslate">&lt;div id="div"&gt;&lt;/div&gt;</pre>

 <pre class="brush: css notranslate">#div {
  width: 300px;
  height: 300px;
  background: url('https://mdn.mozillademos.org/files/8543/br.png'),
              url('https://mdn.mozillademos.org/files/8545/tr.png');
  background-blend-mode: screen;
}</pre>
 </div>
 </div>

 <p>{{ EmbedLiveSample('screen_example', "300", "300") }}</p>
 </dd>
 <dt><code id="overlay">overlay</code></dt>
 <dd>The final color is the result of <code>multiply</code> if the bottom color is darker, or <code>screen</code> if the bottom color is lighter.<br>
 This blend mode is equivalent to <code>hard-light</code> but with the layers swapped.
 <div id="overlay_example">
 <div class="hidden">
 <pre class="brush: html notranslate">&lt;div id="div"&gt;&lt;/div&gt;</pre>

 <pre class="brush: css notranslate">#div {
  width: 300px;
  height: 300px;
  background: url('https://mdn.mozillademos.org/files/8543/br.png'),
              url('https://mdn.mozillademos.org/files/8545/tr.png');
  background-blend-mode: overlay;
}</pre>
 </div>
 </div>

 <p>{{ EmbedLiveSample('overlay_example', "300", "300") }}</p>
 </dd>
 <dt><code id="darken">darken</code></dt>
 <dd>
 <p>The final color is composed of the darkest values of each color channel.</p>

 <div id="darken_example">
 <div class="hidden">
 <pre class="brush: html notranslate">&lt;div id="div"&gt;&lt;/div&gt;</pre>

 <pre class="brush: css notranslate">#div {
  width: 300px;
  height: 300px;
  background: url('https://mdn.mozillademos.org/files/8543/br.png'),
              url('https://mdn.mozillademos.org/files/8545/tr.png');
  background-blend-mode: darken;
}</pre>
 </div>
 </div>

 <p>{{ EmbedLiveSample('darken_example', "300", "300") }}</p>
 </dd>
 <dt><code id="lighten">lighten</code></dt>
 <dd>
 <p>The final color is composed of the lightest values of each color channel.</p>

 <div id="lighten_example">
 <div class="hidden">
 <pre class="brush: html notranslate">&lt;div id="div"&gt;&lt;/div&gt;</pre>

 <pre class="brush: css notranslate">#div {
  width: 300px;
  height: 300px;
  background: url('https://mdn.mozillademos.org/files/8543/br.png'),
              url('https://mdn.mozillademos.org/files/8545/tr.png');
  background-blend-mode: lighten;
}</pre>
 </div>
 </div>

 <p>{{ EmbedLiveSample('lighten_example', "300", "300") }}</p>
 </dd>
 <dt><code id="color-dodge">color-dodge</code></dt>
 <dd>
 <p>The final color is the result of dividing the bottom color by the inverse of the top color.<br>
  A black foreground leads to no change. A foreground with the inverse color of the backdrop leads to a fully lit color.<br>
  This blend mode is similar to <code>screen</code>, but the foreground need only be as light as the inverse of the backdrop to create a fully lit color.</p>

 <div id="color-dodge_example">
 <div class="hidden">
 <pre class="brush: html notranslate">&lt;div id="div"&gt;&lt;/div&gt;</pre>

 <pre class="brush: css notranslate">#div {
  width: 300px;
  height: 300px;
  background: url('https://mdn.mozillademos.org/files/8543/br.png'),
              url('https://mdn.mozillademos.org/files/8545/tr.png');
  background-blend-mode: color-dodge;
}</pre>
 </div>
 </div>

 <p>{{ EmbedLiveSample('color-dodge_example', "300", "300") }}</p>
 </dd>
 <dt><code id="color-burn">color-burn</code></dt>
 <dd>
 <p>The final color is the result of inverting the bottom color, dividing the value by the top color, and inverting that value.<br>
  A white foreground leads to no change. A foreground with the inverse color of the backdrop leads to a black final image.<br>
  This blend mode is similar to <code>multiply</code>, but the foreground need only be as dark as the inverse of the backdrop to make the final image black.</p>

 <div id="color-burn_example">
 <div class="hidden">
 <pre class="brush: html notranslate">&lt;div id="div"&gt;&lt;/div&gt;</pre>

 <pre class="brush: css notranslate">#div {
  width: 300px;
  height: 300px;
  background: url('https://mdn.mozillademos.org/files/8543/br.png'),
              url('https://mdn.mozillademos.org/files/8545/tr.png');
  background-blend-mode: color-burn;
}</pre>
 </div>
 </div>

 <p>{{ EmbedLiveSample('color-burn_example', "300", "300") }}</p>
 </dd>
 <dt><code>hard-light</code></dt>
 <dd>
 <p>The final color is the result of <code>multiply</code> if the top color is darker, or <code>screen</code> if the top color is lighter.<br>
  This blend mode is equivalent to <code>overlay</code> but with the layers swapped.<br>
  The effect is similar to shining a <em>harsh</em> spotlight on the backdrop.</p>

 <div id="hard-light_example">
 <div class="hidden">
 <pre class="brush: html notranslate">&lt;div id="div"&gt;&lt;/div&gt;</pre>

 <pre class="brush: css notranslate">#div {
  width: 300px;
  height: 300px;
  background: url('https://mdn.mozillademos.org/files/8543/br.png'),
              url('https://mdn.mozillademos.org/files/8545/tr.png');
  background-blend-mode: hard-light;
}</pre>
 </div>
 </div>

 <p>{{ EmbedLiveSample('hard-light_example', "300", "300") }}</p>
 </dd>
 <dt><code id="soft-light">soft-light</code></dt>
 <dd>
 <p>The final color is similar to <code>hard-light</code>, but softer.<br>
  This blend mode behaves similar to <code>hard-light</code>.<br>
  The effect is similar to shining a <em>diffused</em> spotlight on the backdrop<em>.</em></p>

 <div id="soft-light_example">
 <div class="hidden">
 <pre class="brush: html notranslate">&lt;div id="div"&gt;&lt;/div&gt;</pre>

 <pre class="brush: css notranslate">#div {
  width: 300px;
  height: 300px;
  background: url('https://mdn.mozillademos.org/files/8543/br.png'),
              url('https://mdn.mozillademos.org/files/8545/tr.png');
  background-blend-mode: soft-light;
}</pre>
 </div>
 </div>

 <p>{{ EmbedLiveSample('soft-light_example', "300", "300") }}</p>
 </dd>
 <dt><code id="difference">difference</code></dt>
 <dd>
 <p>The final color is the result of subtracting the darker of the two colors from the lighter one.<br>
  A black layer has no effect, while a white layer inverts the other layer's color.</p>

 <div id="difference_example">
 <div class="hidden">
 <pre class="brush: html notranslate">&lt;div id="div"&gt;&lt;/div&gt;</pre>

 <pre class="brush: css notranslate">#div {
  width: 300px;
  height: 300px;
  background: url('https://mdn.mozillademos.org/files/8543/br.png'),
              url('https://mdn.mozillademos.org/files/8545/tr.png');
  background-blend-mode: difference;
}</pre>
 </div>
 </div>

 <p>{{ EmbedLiveSample('difference_example', "300", "300") }}</p>
 </dd>
 <dt><code id="exclusion">exclusion</code></dt>
 <dd>
 <p>The final color is similar to <code>difference</code>, but with less contrast.<br>
  As with <code>difference</code>, a black layer has no effect, while a white layer inverts the other layer's color.</p>

 <div id="exclusion_example">
 <div class="hidden">
 <pre class="brush: html notranslate">&lt;div id="div"&gt;&lt;/div&gt;</pre>

 <pre class="brush: css notranslate">#div {
  width: 300px;
  height: 300px;
  background: url('https://mdn.mozillademos.org/files/8543/br.png'),
              url('https://mdn.mozillademos.org/files/8545/tr.png');
  background-blend-mode: exclusion;
}</pre>
 </div>
 </div>

 <p>{{ EmbedLiveSample('exclusion_example', "300", "300") }}</p>
 </dd>
 <dt><code id="hue">hue</code></dt>
 <dd>
 <p>The final color has the <em>hue</em> of the top color, while using the <em>saturation</em> and <em>luminosity</em> of the bottom color.</p>

 <div id="hue_example">
 <div class="hidden">
 <pre class="brush: html notranslate">&lt;div id="div"&gt;&lt;/div&gt;</pre>

 <pre class="brush: css notranslate">#div {
  width: 300px;
  height: 300px;
  background: url('https://mdn.mozillademos.org/files/8543/br.png'),
              url('https://mdn.mozillademos.org/files/8545/tr.png');
  background-blend-mode: hue;
}</pre>
 </div>
 </div>

 <p>{{ EmbedLiveSample('hue_example', "300", "300") }}</p>
 </dd>
 <dt><code id="saturation">saturation</code></dt>
 <dd>
 <p>The final color has the <em>saturation</em> of the top color, while using the <em>hue</em> and <em>luminosity</em> of the bottom color.<br>
  A pure gray backdrop, having no saturation, will have no effect.</p>

 <div id="saturation_example">
 <div class="hidden">
 <pre class="brush: html notranslate">&lt;div id="div"&gt;&lt;/div&gt;</pre>

 <pre class="brush: css notranslate">#div {
  width: 300px;
  height: 300px;
  background: url('https://mdn.mozillademos.org/files/8543/br.png'),
              url('https://mdn.mozillademos.org/files/8545/tr.png');
  background-blend-mode: saturation;
}</pre>
 </div>
 </div>

 <p>{{ EmbedLiveSample('saturation_example', "300", "300") }}</p>
 </dd>
 <dt><code id="color">color</code></dt>
 <dd>
 <p>The final color has the<em> <em>hue</em></em> and <em><em>saturation</em> </em>of the top color, while using the <em>luminosity</em> of the bottom color.<br>
  The effect preserves gray levels and can be used to colorize the foreground.</p>

 <div id="color_example">
 <div class="hidden">
 <pre class="brush: html notranslate">&lt;div id="div"&gt;&lt;/div&gt;</pre>

 <pre class="brush: css notranslate">#div {
  width: 300px;
  height: 300px;
  background: url('https://mdn.mozillademos.org/files/8543/br.png'),
              url('https://mdn.mozillademos.org/files/8545/tr.png');
  background-blend-mode: color;
}</pre>
 </div>
 </div>

 <p>{{ EmbedLiveSample('color_example', "300", "300") }}</p>
 </dd>
 <dt><code id="luminosity">luminosity</code></dt>
 <dd>
 <p>The final color has the <em>luminosity</em> of the top color, while using the <em>hue</em> and <em>saturation</em> of the bottom color.<br>
  This blend mode is equivalent to <code>color</code>, but with the layers swapped.</p>

 <div id="luminosity_example">
 <div class="hidden">
 <pre class="brush: html notranslate">&lt;div id="div"&gt;&lt;/div&gt;</pre>

 <pre class="brush: css notranslate">#div {
  width: 300px;
  height: 300px;
  background: url('https://mdn.mozillademos.org/files/8543/br.png'),
              url('https://mdn.mozillademos.org/files/8545/tr.png');
  background-blend-mode: luminosity;
}</pre>
 </div>
 </div>

 <p>{{ EmbedLiveSample('luminosity_example', "300", "300") }}</p>
 </dd>
</dl>

<h2 id="Description">Description</h2>

<p>For each pixel among the layers to which it is applied, a blend mode takes the colors of the foreground and the background, perfoms a calculation on them, and returns a new color value.</p>

<p>Changes between blend modes are not interpolated. Any change occurs immediately.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Blend_mode_comparison">Blend mode comparison</h3>

<p>In the following example, we have a <code>&lt;div&gt;</code> with two background images set on it — a Firefox logo on top of a linear gradient. Below it we have a provided a <code>&lt;select&gt;</code> menu that allows you to change the <code>background-blend-mode</code> applied to the <code>&lt;div&gt;</code>, allowing you to compare the different blend mode effects.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div&gt;&lt;/div&gt;
&lt;p&gt;Choose a blend-mode:&lt;/p&gt;
&lt;select&gt;
  &lt;option selected&gt;normal&lt;/option&gt;
  &lt;option&gt;multiply&lt;/option&gt;
  &lt;option&gt;screen&lt;/option&gt;
  &lt;option&gt;overlay&lt;/option&gt;
  &lt;option&gt;darken&lt;/option&gt;
  &lt;option&gt;lighten&lt;/option&gt;
  &lt;option&gt;color-dodge&lt;/option&gt;
  &lt;option&gt;color-burn&lt;/option&gt;
  &lt;option&gt;hard-light&lt;/option&gt;
  &lt;option&gt;soft-light&lt;/option&gt;
  &lt;option&gt;difference&lt;/option&gt;
  &lt;option&gt;exclusion&lt;/option&gt;
  &lt;option&gt;hue&lt;/option&gt;
  &lt;option&gt;saturation&lt;/option&gt;
  &lt;option&gt;color&lt;/option&gt;
  &lt;option&gt;luminosity&lt;/option&gt;
&lt;/select&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">div {
  width: 300px;
  height: 300px;
  background: url(https://media.prod.mdn.mozit.cloud/attachments/2020/07/29/17350/3b4892b7e820122ac6dd7678891d4507/firefox.png) no-repeat center,
  linear-gradient(to bottom, blue, orange);
}</pre>

<h4 id="JavaScript">JavaScript</h4>

<pre class="brush: js notranslate">const selectElem = document.querySelector('select');
const divElem = document.querySelector('div');

selectElem.addEventListener('change', () =&gt; {
  divElem.style.backgroundBlendMode = selectElem.value;
});</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Blend_mode_comparison', '100%', 370)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('Compositing', '#ltblendmodegt', '&lt;blend-mode&gt;') }}</td>
   <td>{{ Spec2('Compositing') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.types.blend-mode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Properties that use this data type: {{cssxref("background-blend-mode")}}, {{cssxref("mix-blend-mode")}}</li>
</ul>

<p>Description to various blend modes on other website:</p>

<ul>
 <li><a href="http://en.wikipedia.org/wiki/Blend_modes">Blend modes</a> on Wikipedia</li>
 <li><a href="https://helpx.adobe.com/photoshop/using/blending-modes.html">Blending modes in Adobe Photoshop</a> by Adobe</li>
</ul>
